> ## Documentation Index
> Fetch the complete documentation index at: https://docs.monei.cc/llms.txt
> Use this file to discover all available pages before exploring further.

# Fetch list of supported banks



## OpenAPI

````yaml /openapi.json get /api/v1/wallet/utils/banks
openapi: 3.0.0
info:
  title: Mr Monei API Gateway
  description: External API for partners using API Key authentication
  version: '1.0'
  contact: {}
servers:
  - url: https://api.dev.monei.cc
    description: Dev Server
  - url: https://api.monei.cc
    description: Live Server
security: []
tags: []
paths:
  /api/v1/wallet/utils/banks:
    get:
      tags:
        - Utilities
      summary: Fetch list of supported banks
      operationId: BankUtilsController_getBanks
      parameters: []
      responses:
        default:
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BankListResponseDto'
      security:
        - bearer: []
        - api-key: []
components:
  schemas:
    BankListResponseDto:
      type: object
      properties:
        statusCode:
          type: number
        message:
          type: string
        data:
          description: List of banks
          type: array
          items:
            $ref: '#/components/schemas/BankDto'
        errors:
          type: object
      required:
        - statusCode
        - message
        - data
        - errors
    BankDto:
      type: object
      properties:
        id:
          type: string
          example: '178'
          description: Unique identifier of the bank
        code:
          type: string
          example: '110072'
          description: Internal bank code
        name:
          type: string
          example: 78 Finance Company Limited
          description: Bank name
      required:
        - id
        - code
        - name
  securitySchemes:
    api-key:
      type: apiKey
      in: header
      name: X-API-KEY

````